
Summary: Exif and Iptc metadata manipulation library and tools
Name:	 exiv2
Version: 0.9.1
Release: 1%{?dist} 

License: GPL
Group:	 Applications/Multimedia
URL: 	 http://home.arcor.de/ahuggel/exiv2/
Source:	 http://home.arcor.de/ahuggel/exiv2/exiv2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


# for 'make doc'
#BuildRequires: doxygen
#BuildRequires: libxslt
#BuildRequires: graphviz

%description
Exiv2 comprises of a C++ library and a command line utility to access image
metadata. Exiv2 supports full read and write access to th Exif and Iptc
metadata, Exif MakerNote support, extract and delete methods for Exif
thumbnails, classes to access Ifd and so on.
The command line utility allow you to:
* print the Exif metadata of Jpeg images as summary info, interpreted values,
or the plain data for each tag (here is a sample)
* print the Iptc metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, Iptc metadata and Jpeg comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group:	 Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q


%build
%configure --disable-static 

make %{?_smp_mflags} 

#make doc


%install
rm -rf $RPM_BUILD_ROOT 

make -C src install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $FPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/exiv2
%{_libdir}/libexiv2-*.so
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_bindir}/exiv2-config
%{_includedir}/exiv2/
%{_libdir}/libexiv2.so


%changelog
* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-1
- first try
